Subject: Re: kernel module to generate UDP & TCP traffic?

From: Ben Greear <[email-masked]>
Date: Mon, 15 Apr 2002 16:52:39 -0700

Amit Kucheria wrote:

> On Mon, 15 Apr 2002, Ben Greear wrote:
> 
> 
>>I'm considering writing a kernel module that will be used to
>>generate and receive copious amounts of Ethernet, UDP, and TCP
>>traffic.  I would prefer to tweak/use an existing tool if any
>>is available.  Any suggestions?
>>
>>Thanks,
>>Ben
>>
> 
> 
> How about using the tun/tap devices in the 2.4. kernels which can RX/TX 
> Ethernet frames from/to userspace?

I can already send/rcv packets with raw sockets, but the problem is that
causes coppies to/from user space, which not only decreases throughput, but
adds considerable latency.  If I can run the generation down in the kernel,
it will run much faster.

> 
> http://vtun.sourceforge.net
> 
> 

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear